Subject: Re: bug#17408: 24.4.50; tooltips make ms-window go top

From: Jarek Czekalski <[email-masked]>
Date: Tue, 06 May 2014 17:26:34 +0200

Eli,

Thanks for the quick review.

> But please use the SWP_* flags explicitly, I see
> no reason to define a special macro for 2 of them when all the rest
> are spelled out.

There are 2 reasons:
1. 78 chars limit is exceeded and code looks worse without the macro. 
It's less readable and it's more difficult to say which flags change 
between invocations.
2. These 2 flags wrapped in a def are of constant nature, they must be 
used with every call to SetWindowPos. Those out of def are not used in 
all invocations and their presence depends on other parameters (size, 
origin).

I'm preparing to commit the version without macros, but if you're quick 
you can change your mind :)

Jarek